summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
diff options
context:
space:
mode:
author Ján Sučan <sucan@runbox.com>2013-12-04 09:28:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2013-12-05 06:34:37 +0700
commitb0347c776e4401c98515904cc7a4b85f1909f703 (patch)
tree6e2b11db473951b8a4bc221e62a67d52ac847c5c /desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
parentb52af32290de433ec050939be47e87882c4bcdbf (diff)
downloadslackbuilds-b0347c776e4401c98515904cc7a4b85f1909f703.tar.gz
slackbuilds-b0347c776e4401c98515904cc7a4b85f1909f703.tar.xz
desktop/xfce4-mailwatch-plugin: Updated for version 1.2.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild')
-rw-r--r--desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild23
1 files changed, 7 insertions, 16 deletions
diff --git a/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild b/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
index d265910a75..f6c7ce5660 100644
--- a/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
+++ b/desktop/xfce4-mailwatch-plugin/xfce4-mailwatch-plugin.SlackBuild
@@ -27,8 +27,8 @@
# Modified by Ján Sučan <sucan@runbox.com>
PRGNAM=xfce4-mailwatch-plugin
-VERSION=${VERSION:-1.1.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -58,7 +58,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -68,22 +68,13 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Do not use a function which was removed in newer gnutls versions
-patch -p1 < $CWD/gnutls-transport-set-lowat.patch
-# Fix a bug that prevents changing the time between checks of the
-# local mbox mailbox
-patch -p1 < $CWD/mbox-save-changed-interval.patch
-
-# Add additional linker flags in order to build the plugin with the
-# newer Xfce versions
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-LIBS="-lxfcegui4 -lgcrypt" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \